Subject: bug#66149: Mistyping a search breaks keyboard macro

From: Juri Linkov <[email-masked]>
Date: Fri, 22 Sep 2023 18:41:17 +0300

>> Search fails with `After 0 kbd macro iterations: isearch-search:
>> Keyboard macro terminated by a command ringing the bell`
>
> IMNSHO, your expectations are unreasonable.  Keyboard macros are not
> supposed to allow this; if you want something like that, you will need
> to write a special-purpose command.
>
> I've changed the severity of the bug to "wishlist" in cases someone
> thinks it is feasible to extend the macro facilities to support such
> expectations.  But my personal tendency is to close this bug as
> notabug.

I have no opinion whether 'ding' should terminate kbd macro or not.
But it's possible to customize 'isearch-wrap-pause' to 'no-ding'
to not ding on isearch failure, then kbd macro is not terminated.